namespace Connected.Components;

public interface IFormComponent
{
	public bool Required { get; set; }
	public bool HasError { get; set; }
	public bool HasErrors { get; }
	public bool Modified { get; }
	public object Validation { get; set; }
	public bool IsForNull { get; }
	public List<string> ValidationErrors { get; set; }
	public Task Validate();
	public void Reset();
	public void ResetValidation();
}
